%define fontname        wqy-zenhei
%define fontdir         %{_datadir}/fonts/%{fontname}
%define fontconfdir     %{_sysconfdir}/fonts/conf.d
%define catalogue       %{_sysconfdir}/X11/fontpath.d

Name: %{fontname}-fonts
Summary: WenQuanYi Zen Hei CJK Font
Version: 0.6.26
Release: 0%{?dist}
# for font embedding exception please see
# http://www.gnu.org/licenses/gpl-faq.html#FontException
License: GPLv2 with exceptions
URL: http://wqy.sourceforge.net/en/
Group: User Interface/X
Source: http://downloads.sourceforge.net/wqy/%{fontname}-%{version}-0.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: mkfontdir

%description
The WenQuanYi Zen Hei is a Hei-Ti style (sans-serif)
Chinese outline font. It was designed for general purpose text 
formatting and on-screen display of Chinese characters among
many other languages. The embolden strokes of the font glyphs 
produces enhanced screen contrast, likely resulting in 
improvement in reading speed and recognition. The embedded 
bitmap glyphs further enhance on-screen performance, 
which could be enabled with the provided configuration files.
WenQuanYi Zen Hei provides fairly complete coverage to Chinese 
Hanzi glyphs including both simplified and traditional forms. 
The total glyph number in this font is over 35,000, including over 
21,000 Chinese Hanzi. This font provides full coverage to
GBK(CP936) charset, CJK Unified Ideographs, as well as the 
code-points needed for zh_cn, zh_sg, zh_tw, zh_hk, zh_mo, 
ja (Japanese) and ko (Korean) locales for fontconfig.

%prep
%setup -q -n %{fontname}

%build
%{nil}

%install
rm -rf %{buildroot}
install -d -m755 %{buildroot}%{fontdir}
install -d -m755 %{buildroot}%{fontconfdir}
install -p -m644 *.ttf  %{buildroot}%{fontdir}/
install -p -m644 44-%{fontname}.conf  %{buildroot}%{fontconfdir}/

# Install catalogue symlink
mkdir -p %{buildroot}%{catalogue}
ln -sf %{fontdir} %{buildroot}%{catalogue}/%{name}

%{_bindir}/mkfontdir %{buildroot}%{fontdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%dir %{fontdir}
%{fontdir}/*.ttf
%{fontdir}/fonts.dir
%config(noreplace) %{fontconfdir}/44-%{fontname}.conf
%{catalogue}/%{name}

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi

%changelog
*Wed Jun 25 2008 Qianqian Fang <fangqq@gmail.com> 0.6.26-0
- new upstream release

*Sat Apr 5 2008 Qianqian Fang <fangqq@gmail.com> 0.5.23-0
- new upstream release

*Fri Feb 15 2008 Qianqian Fang <fangqq@gmail.com> 0.4.23-1
- new upstream release

*Fri Nov 2 2007 Qianqian Fang <fangqq@gmail.com> 0.2.16-0.2.20071031cvs
- spec file clean up

*Thu Nov 1 2007 Qianqian Fang <fangqq@gmail.com> 0.2.16-0.1.20071031cvs
- initial packaging for Fedora (# 361121)
